/*	TRANSPORTER
	Creating Your Web
	www.transporter.at
*/

/*------------------------------------*\
    #PAGE-FOOTER
\*------------------------------------*/

.page-footer {
	position: relative;
	z-index: 0;
	//font-size: $small-font-size;//$body-font-size-small;

	background-color: $white;
	border-top: $border-width $border-style $brand-very-light;
}

.page-footer-navigation {
  text-align: center;

  @media #{$normal-up} {
    text-align: left;
  }

  @media #{$medium-up} {
    font-size: $tiny-font-size;
  }

  border-bottom: $border-width $border-style $brand-very-light;
}

.page-footer-subscribe {
  margin-bottom: $margin-bottom;

  @media #{$large-up} {
    float: right;
    margin-left: $grid-gutter;
  }
}

.page-footer-text {
  margin-bottom: $margin-bottom;

  @media #{$medium-up} {
    font-size: $tiny-font-size;
  }

  color: $grey;

  @media #{$large-up} {}
}

.page-footer-logo-secondary {
	@media #{$large-up} {
		display: none;
	}
}

.header-footer-logo-secondary {
	//initial see _page-header.scss
	display: inline-block;
}

.page-footer-logo-tertiary {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.footer-logo-tertiary {
  @include ir;
  position: relative;
  display: inline-block;
  height: $logo-footer-tertiary-height * 0.5;
  width: $logo-footer-tertiary-width * 0.5;
  background: transparent url("../images/pro/logos/logo_eaws.png") no-repeat 0 0;
  background-size: ($logo-footer-tertiary-width * 0.5) ($logo-footer-tertiary-height * 0.5);
  filter: grayscale(100%);

  &:hover {
    transform: scale(1.05);
    filter: grayscale(0%);
  }
}

.footer-logo-tertiary-valdaran {
  @include ir;
  position: relative;
  display: inline-block;
  height: $logo-footer-tertiary-height * 0.5;
  width: $logo-footer-tertiary-width * 0.5;
  background: transparent url("../images/pro/logos/logo-valdaran.png") no-repeat 0 0;
  background-size: ($logo-footer-tertiary-width * 0.5) ($logo-footer-tertiary-height * 0.5);
  filter: grayscale(100%);

  &:hover {
    transform: scale(1.05);
    filter: grayscale(0%);
  }
}

.footer-logo-tertiary-acna {
  @include ir;
  position: relative;
  display: inline-block;
  height: $logo-footer-tertiary-height * 0.65;
  width: $logo-footer-tertiary-width * 0.5;
  background: transparent url("../images/pro/logos/logo-acna.png") no-repeat 0 0;
  background-size: ($logo-footer-tertiary-width * 0.5) ($logo-footer-tertiary-height * 0.65);
  filter: grayscale(100%);

  &:hover {
    transform: scale(1.05);
    filter: grayscale(0%);
  }
}

.page-footer-top {
  text-align: center;

  a {
    display: inline-block;

    span {
      display: none;
    }

    &:before {
      margin: 0;
      transform: translateY(0);
    }

    &:hover,
    &:active {
      &:before {
        transform: translateY(-$padding * 0.5);
      }
    }
  }
}

.page-footer-version {
	text-align: center;
	color: $grey;
}

.page-footer-logos {
  text-align: center;

  ul {
    li {
      height: 64px;
      margin-bottom: $padding * 2;
      padding: 0 $padding;

      &:last-child {
        padding: 0 $padding;
      }

      @media #{$tiny-up} {
        margin-bottom: 0;
        padding: 0 ($padding * 3);

        &:last-child {
          padding: 0 ($padding * 3);
        }
      }

      a {
        display: block;
      }

      img {
        //IE7-8 need help adjusting responsive images
        width: 80%;
        //Part 2: Scale the height according to the width, otherwise you get stretching
        height: 75%;
        margin: 10;
      }
    }
  }
}